Articles of Андроидное

Приложения Android в ошибке запуска Eclipse

Я не могу понять, что происходит с моей Eclipse IDE. Я разрабатываю несколько приложений, и я обновил свой Android SDK и обновил Eclipse, и теперь я не могу запускать ни одно из моих приложений. Каждое приложение (в том числе API Demos, так что это не только мое) не запускается, и Eclipse говорит: «В вашем проекте […]

Как добавить папку библиотеки для затмения?

Хорошо, я знаю, что это вопрос Noob, но я не могу понять, как это понять! Я пытаюсь получить библиотеку Android-ViewPageIndicater, импортированную в Eclipse, но у нее нет файла LIB для добавления, и я не могу понять, как импортировать библиотечную папку, потому что Eclipse говорит, что в нем нет проекта! Кто-нибудь знает как это сделать? благодаря

Объявление android: id зачем использовать «+»?

При объявлении идентификатора есть знак «+», но при его ссылке нет знака. Почему это? Какова функция знака +? <TextView android:id="@+id/label" android:layout_width="fill_parent" android:layout_height="wrap_content" android:text="Type here:"/> <EditText android:id="@+id/entry" android:layout_width="fill_parent" android:layout_height="wrap_content" android:background="@android:drawable/editbox_background" android:layout_below="@id/label"/>

Это приложение не будет работать, если вы не обновите сервисы Google Play

Я постоянно пытаюсь заставить google-карты для android V2 работать. Я пробую это на устройстве: Samsung Galaxy S [2.3.3] и на эмуляторах. Мой манифест: (я пробовал использовать как ключ отладки, так и ключ Release) <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.klottr" android:versionCode="1" android:versionName="1.0" > <uses-sdk android:minSdkVersion="10" android:targetSdkVersion="18" /> <permission android:name="com.example.klottr.permission.MAPS_RECEIVE" android:protectionLevel="signature"></permission> <uses-permission android:name="com.example.klottr.permission.MAPS_RECEIVE"/> <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/> <uses-permission android:name="android.permission.INTERNET"/> […]

Android: не удается успешно импортировать BaseGameUtils в Eclipse

Я хочу использовать игру api в моем проекте Android. И я начинаю, следуя инструкциям, описанным в Google Site (часть – Настройка вашего игрового проекта) по следующей ссылке. https://developers.google.com/games/services/android/init Я загрузил библиотеку BaseGameUtils из этой ссылки https://github.com/playgameservices/android-samples Затем я импортирую его как проект, как описано в инструкции. Однако у меня есть проект с именем main, но […]

Как писать на консоль с android с помощью eclipse

Я уверен, что этот вопрос задан раньше, но я не могу его найти. Я пытаюсь напечатать несколько простых инструкций во время выполнения моего приложения. При написании обычного Java-приложения я просто делаю System.out.println("message"); И для iOS я делаю NSLog(@"message"); Я огляделся, но не могу найти простое решение для Android. Возможно ли, что у меня есть неуместная […]

Можно ли использовать рефлексию с методами, которые больше чем минимальные sdk?

Я разрабатываю приложение, которое должно поддерживать на минимальном уровне 10 SDK. Сегодня я кодировал, когда сталкивался с методом setLayerType() который мне нужно использовать. Но этот метод вводится в уровне API 11 . Итак, я использовал обходной путь и использовал Reflection для использования этого метода. Итак, мой вопрос заключается в том, не будет ли мое приложение […]

Android.support.v7.widget.GridLayout не удалось создать экземпляр

Я пытаюсь использовать GridLayout в своем проекте, но в идеале, с помощью библиотеки поддержки Android, поэтому я могу настроить более низкие версии API. Когда я перетаскиваю GridLayout в графический конструктор макетов, появляется сообщение, объясняющее, что мне нужна библиотека совместимости для версий API старше 14 лет и спрашивает, хочу ли я установить эту библиотеку. Я нажимаю […]

Как настроить proguard для Android-приложения с помощью Google Drive SDK?

Когда Eclipse включает proguard при создании Quickstart : запустите приложение для дисковода на примере приложения Android , приложение теряет способность загружать файлы. Идентификатор клиента API Google отображается правильно, учитывая, что версия выпуска приложения отлично работает при построении без proguard. Однако такая загрузка файла приложения версии версии не работает при построении в Eclipse с включенной proguard. […]

Push Notification для обновлений приложений

В моем проекте я должен дать push-уведомление пользователю, если есть обновление для Play Store. Используя службу Google Play, мы можем получить обновление только при запуске приложения. Но я должен каждый раз уведомлять пользователя о разблокировке мобильного телефона. Есть ли способ сделать это, используя Google Cloud Messaging (GCM). Пожалуйста помоги мне с этим. Заранее спасибо..